Meta/round: run various build targets in turn
Junio C Hamano committed
Sep 8, 2022 at 22:32 UTC
0df9044e57f0f87d669913c642fbe6894323777c
1 file changed
+52
round
new
+52
@@ -0,0 +1,52 @@
1
+#!/bin/sh
2
+
3
+# Give names of targets to use on the command line
4
+default="sparse hdr-check coccicheck test leaks address check-docs doc"
5
+skip=" "
6
+more=" "
7
+
8
+if test $# -eq 0
9
+then
10
+ set -- $default
11
+else
12
+ for t
13
+ do
14
+ case "$t" in
15
+ -*) skip="$skip${t#-} " ;;
16
+ ?*) more="$more$t " ;;
17
+ esac
18
+ done
19
+ case "$more" in
20
+ " ") set -- $default ;;
21
+ *) set -- $more ;;
22
+ esac
23
+fi
24
+
25
+for t
26
+do
27
+ case "$skip" in
28
+ *" $t "*)
29
+ echo "Skipping $t" >&2
30
+ continue ;;
31
+ esac
32
+
33
+ case "$t" in
34
+ address)
35
+ Meta/Make -j16 distclean >/dev/null 2>&1 &&
36
+ SANITIZE=address \
37
+ Meta/Make -j16 test
38
+ ;;
39
+ leaks)
40
+ Meta/Make -j16 distclean >/dev/null 2>&1 &&
41
+ SANITIZE=leak \
42
+ GIT_TEST_PASSING_SANITIZE_LEAK=true Meta/Make -j16 test
43
+ ;;
44
+ coccicheck)
45
+ SPATCH_FLAGS=--recursive-includes Meta/Make -j16 "$t"
46
+ ;;
47
+ *)
48
+ SPATCH_FLAGS=--recursive-includes Meta/Make -j16 "$t"
49
+ ;;
50
+ esac || return 1
51
+done &&
52
+Meta/Make -j16 distclean